| AOMedia AV1 Codec

Data Fields
TEMPORAL_FILTER_INFO Struct Reference

Temporal filter info for a gop. More...

`#include <temporal_filter.h>`

## Data Fields
int | is_temporal_filter_on
YV12_BUFFER_CONFIG | tf_buf [2]
YV12_BUFFER_CONFIG | tf_buf_second_arf
FRAME_DIFF | frame_diff [2]
int | tf_buf_gf_index [2]
int | tf_buf_display_index_offset [2]
int | tf_buf_valid [2]

## Detailed Description

Temporal filter info for a gop.

## Field Documentation

## ◆ is_temporal_filter_on

int TEMPORAL_FILTER_INFO::is_temporal_filter_on

A flag indicate whether temporal filter shoud be applied. This flag will stored the result of av1_is_temporal_filter_on()

## ◆ tf_buf

YV12_BUFFER_CONFIG TEMPORAL_FILTER_INFO::tf_buf[2]

buffers used for temporal filtering in a GOP index 0 for key frame and index 1 for ARF

## ◆ tf_buf_second_arf

YV12_BUFFER_CONFIG TEMPORAL_FILTER_INFO::tf_buf_second_arf

buffers used for temporal filtering for INTNL_ARF_UPDATE Check av1_gop_is_second_arf() for the definition of second_arf in detail

## ◆ frame_diff

FRAME_DIFF TEMPORAL_FILTER_INFO::frame_diff[2]

whether to show the buffer directly or not.

## ◆ tf_buf_gf_index

int TEMPORAL_FILTER_INFO::tf_buf_gf_index[2]

the corresponding gf_index for the buffer.

## ◆ tf_buf_display_index_offset

int TEMPORAL_FILTER_INFO::tf_buf_display_index_offset[2]

the display_index offset between next show frame and the frames in the GOP

## ◆ tf_buf_valid

int TEMPORAL_FILTER_INFO::tf_buf_valid[2]

whether the buf is valid or not.

The documentation for this struct was generated from the following file:

- av1/encoder/temporal_filter.h